Subject: Re: bug#15876: 24.3.50; Highly degraded performance between rev 114715 and 115006

From: "Sebastien Vauban" <[email-masked]>
Date: Mon, 02 Dec 2013 10:29:10 +0100

Eli Zaretskii wrote:
>> From: "Sebastien Vauban" <[email-masked]>
>> Cc: [email-masked],  [email-masked]
>> Date: Sun, 01 Dec 2013 22:51:32 +0100
>> 
>> I don't succeed putting point on it. See http://screencast.com/t/jiC9rO3bj9T.
>
> Use my recipe, not yours.  The problem happens as soon as the u+25b7
> character is displayed in the buffer, no matter where it is displayed
> and by which mechanism.
>
>> Anyway, it must be Consolas, as Consolas is the font used everywhere else, and
>> as I have the following in my .emacs:
>> 
>> --8<---------------cut here---------------start------------->8---
>>     (setq org-ellipsis
>>           (if (char-displayable-p ?\u25B7) ; white right-pointing triangle
>>               " \u25B7"                 ; string
>>             'org-ellipsis)))            ; face
>> --8<---------------cut here---------------end--------------->8---
>> 
>> As you see, the triangle is used only if the char is displayable in the current
>> font, that is in Consolas in my case.
>
> Where does it say "in the current font"?  It doesn't.  Emacs will use
> any font available to it.  So your conclusion is incorrect.

I had the impression that, when I wrote that code, I tested it with different
fonts, and that I sometimes had the triangle, sometimes "...".

That made me think that my code does correctly check in the current font if the
triangle is displayable (or not), and then chooses the right character whether
it is (not).

I must be mistaken because...

> Only "C-u C-x =" can tell what font is used.

... you're right: on my Windows 8, Emacs uses the BatangChe font for the
triangle.

Best regards,
  Seb

-- 
Sebastien Vauban